
Redmine - Feature #379

search in all project wikis simultanously

2007-06-25 11:09 - Valdis Pornieks

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

The information to look for can be in more than one project, thus it is necessary to be able to look for it in all the

project wikis simultanously

Related issues:

Related to Redmine - Feature #791: Search for all projects issues Closed 2008-03-05

History

#1 - 2007-11-25 21:32 - Jonathan Hall

This would be a very good option, and to be able to export the

results into csv, pdf

#2 - 2008-02-27 17:06 - Manfred Stocker

This is a VERY important feature for our team, too.

#3 - 2008-02-27 20:38 - David Petersen

Very important to our company also.  We have hacked a way to do it so when your on the "My page" page it will act as a global search, but it doesn't

work all the time and it sucks to have to go back to "My page" to search globally

#4 - 2008-02-28 13:50 - chris mcharg

+1 for this feature.

Would be good if global search options were just like project search options.

#5 - 2008-02-28 17:03 - Curtis Stewart

I would like to add my support to this feature. As we add more project the information that might be useful to a user may be stored in different

locations. The ability to search without having to know each project within redmine would be a very positive addition.

#6 - 2008-03-03 05:01 - Mark Gallop

+1, too. Searching all wikis would save me a lot of time.

#7 - 2008-03-10 03:56 - Angel Sciortino

Patched in #821.

#8 - 2008-03-16 15:03 - Jean-Philippe Lang

- Target version set to 0.8

#9 - 2008-03-20 10:32 - Rachel Majchrzak

Just a question regarding this (really usefull!) feature: will everybody be able to search in all wiki pages or is there going to be the possibility to restrict

the access to some pages/wikis?

#10 - 2008-03-20 16:19 - Angel Sciortino

In patch #821, the search all projects will only search through public projects and projects that are visible to the user (if they are logged in).

Jean-Philippe may do it differently than my patch, but I imagine it would have the same restriction.

#11 - 2008-05-18 18:16 - Jean-Philippe Lang
https://www.redmine.org/issues/821
https://www.redmine.org/issues/821


- Status changed from New to Closed

- Resolution set to Fixed

Done in r1435.
